Welcome to RegAlyzer

RegAlyzer
Freeware, ©'2000-2003 Patrick Michael Kolla

RegAlyzer is an utility to browse and change the registry. It adds some features that we missed in the original regedit provided by Microsoft. These features are:

  • An improved search function. RegAlyzer allows you to browse the search results while the search is still running, and to export the search results into a reg file. Also, wildcard and boolean search can be used.
  • Hierarchical bookmark support. With RegAlyzer, you can sort your bookmarks in folders.
  • Jumps. By using a command line parameter or pasting the address into the address field, you can jump to a specific address.
  • Binary DWord edit. RegAlyzer displays (and allows you to edit) DWords in decimal, hexadecimal and binary format.
  • Support of QWords. The original regedit could edit these 64-bit integer values, but could not add new ones.
  • Display of reg files. RegAlyzer can display the contents of reg files in a tree structure without the need to import them first.
  • Limited Unicode support under Windows 9x. RegAlyzer can read version 5 reg files under Windows 9x.
  • Low-level security settings display. Security settings for keys (Windows NT, 2000 and XP only) are displayed in a more basic structure than the rights manager of regedit.

A few features are still missing, but will be added for upcoming releases.


Main window

The main window has been created to be similar to the original regedit for ease of use, with some additions:

  • It also contains an address bar that you can use as a history (select keys you did display earlier), and to type in or paste an address where you want to go to.
  • A Security Information tab that will display the access rights for the selected key (Available on Windows NT, 2000 and XP only).
  • New is also the Info database which can contain information from a user-specific or a pre-shipped database about the currently selected key and/or value. You can edit this information by starting to type in some new text - a Save button will appear.
    A future release of RegAlyzer will contain a database browser allowing you to browse the list of available information.
  • The Bookmarks menu is an extended version of the regedit Favorites menu and allows a hierarchical view.
  • The Languages menu will allow you to select a different language.

Keyboard shortcuts

There are a few keyboard shortcuts you can use to speed up usage. In the key treeview you can navigate like in any other tree, plus:

  • Ins inserts a new key.
  • Del deletes the currently selected key.
  • F2 allows you to rename a key.
  • F5 refresh the view.
  • Ctrl+B adds the current key as a bookmark.

Similar shortcuts are available in the value list on the right:

  • Ins opens the popup menu that allows to add new values.
  • Del deletes the currently selected value.
  • Enter opens a dialog to edit the data.
  • F2 allows you to rename a value.
  • F5 refresh the view.

In addition to those there are some shortcuts that work all over the main window:

  • Ctrl+F opens the search window.
  • Ctrl+J allows you to enter an address that you want to open.
  • Ctrl+M opens the bookmark manager.
  • Ctrl+O allows you to open an external reg file.


Bookmarks

The bookmark management is quite simply to use. To jump to a bookmarked registry key, simply select it from the Bookmarks menu.

If you want to add a specific key to your bookmarks, right-click it in the main windows treeview that displays the registry structure, and select Add to bookmarks.... You'll be asked for a name for the new bookmark, which will then be added.

To manage your bookmarks, press Ctrl+B or select Manage bookmarks from the Bookmarks menu. A new window will be shown that shows your bookmark structure. Here you can move bookmarks between folder (just drag them over the new folder and drop them); and create, rename or delete folders and bookmarks. If you make an error, just use Cancel to revert back to the situation before you started changes.


Search

By pressing Ctrl+F or selecting Search... from the Edit menu, you can open a search window. This offers a wide range of options that will be described here.

Search criteria - the tab shown when you open the search dialog. At first, you should select the search style. Three styles are possible:

  • Simple substring search - this just searches if the given text appears anywhere.
  • Wildcard search - wildcards are the signs * and ?; you may already know them from file searches. ? is a placeholder for exactly one character that can be anything. * is any number of chars.
    Example: "Number ?" will find any text where the first 7 characters are "Number " and the 8th character exists (but can have any value). "Number *" will find any text where the first 7 characters are "Number ", with nothing or any number of characters following.
  • Boolean search - you can use the keywords AND, OR and NOT to create a search rule. Example: "Windows AND Temp" will only find texts that contain both words ("Windows" and "Temp"), while "Windows OR Temp" will find any text that contains one (or both) words.

Next comes the Search for field where you have to enter the text you are searching for. The rules from Search style apply here.

In Search focus, you can select whether to search only in registry keys, in registry values, in registry data, or in any combination of them.

In Data types, you can limit the search to a spcific type of data; for example only numeric values or only text.

Search range determines whether to scan the whole registry, or just the key you have currently selected in the main window.

Miscellaneous options are two: Ignore case will ignore the case of the search term (if you enter "Windows", "windows" will also be found); the High speed search will suppress every user interface changes during the scan to speed it up, and should only be used if you don't want to look at the search results during the scan.

The next tab named ... by date applies to the Windows NT, 2000 and XP operating systems only. If you are running one of these, you can limit the search by date; for example you can select to search only for results that are older than a specific date, or newer, or between or outside of two dates.

Finally, after pressing the Search buttons results should trickle in; those will be shown on the Results tab. If you double-click an entry there, the main window will display this location. If you want to export some results, you can make a selection by checking/unchecking the checkboxes in front of the results. Then right-click on the list and you'll see a context menu that will allow you to export the selected results to a reg file.

After the search has finished, a new Replace tab will appear. Here you can enter a specific text to be replaced with another one, and select whether to ignore case, and if to overwrite other keys or values if the rename should cause a naming conflict. The Replace button will only replace those entries that have been checked in the Results list, and only key names, value names and string data (in all three variants). Numeric values may follow at a later point.